package com.qqchen.deploy.backend.deploy.service;

import com.qqchen.deploy.backend.deploy.dto.GitInstanceDTO;

/**
 * Git管理服务接口
 */
public interface IRepositoryManagerService {

    /**
     * 同步Git组
     *
     * @param externalSystemId 外部系统ID
     */
    void syncGroups(Long externalSystemId);

    /**
     * 同步Git项目
     *
     * @param externalSystemId 外部系统ID
     */
    void syncProjects(Long externalSystemId);

    /**
     * 同步Git分支
     *
     * @param externalSystemId 外部系统ID
     */
    void syncBranches(Long externalSystemId);

    /**
     * 获取Git实例信息
     *
     * @param externalSystemId 外部系统ID
     * @return Git实例信息
     */
    GitInstanceDTO instance(Long externalSystemId);
} 